{pkgs, ...}: {
  programs = {
    tmux = {
      enable = true;
      clock24 = true;
      keyMode = "vi";
      escapeTime = 0;
      plugins = with pkgs.tmuxPlugins; [
        tmux-colors-solarized
        vim-tmux-navigator
        {
          plugin = power-theme;
          extraConfig = ''
            set -g @tmux_power_theme "colour4"
          '';
        }
      ];
      terminal = "xterm-256color";
      extraConfig = ''
        # Terminal overrides
        set-option -sa terminal-overrides ",xterm-256color:Tc"

        # Reload tmux config to ensure theme is applied
        bind r source-file ~/.config/tmux/tmux.conf \; display-message "Config reloaded!"
      '';
    };
  };
}
